package com.sxtvs.open.api.news.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonTypeInfo;
import lombok.Getter;
import lombok.Setter;
import org.springframework.data.annotation.Id;

/**
 * <p>
 * 
 * </p>
 *
 * @author syj
 * @since 2023-02-20
 */
@Getter
@Setter
@TableName("youmei_data")
@JsonIgnoreProperties(ignoreUnknown=true)
public class YoumeiData {

    @TableId
    private Long offset;

    private String objType;

    private String contentId;

    private String title;

    private String publishTime;

    private String content;

    private String sourceWebsite;

    private String sourceUrl;

    private String author;

    private String rawData;

    @JsonIgnore
    private LocalDateTime createTime;

}
