package com.sxtvs.open.api.news.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.sxtvs.open.api.news.entity.CategoryData;
import com.sxtvs.open.api.news.entity.YoumeiData;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author syj
 * @since 2023-02-20
 */
@DS("news")
public interface YoumeiDataMapper extends BaseMapper<YoumeiData> {
    List<CategoryData> getCategoryList(@Param("offset") Long offset, @Param("limit") Integer limit);
}
