package com.sxtvs.open.api.news.service.impl;

import com.sxtvs.open.api.news.entity.Area;
import com.sxtvs.open.api.news.mapper.AreaMapper;
import com.sxtvs.open.api.news.service.IAreaService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author syj
 * @since 2023-02-27
 */
@Service
public class AreaServiceImpl extends ServiceImpl<AreaMapper, Area> implements IAreaService {

    public List<Area> areaList(){
        List<Area> list = lambdaQuery().le(Area::getLevel, 2).orderByAsc(Area::getId).list();
        List<Area> rs = new ArrayList<>();
        Area curr = new Area();
        for(Area area : list){
            if(area.getLevel() == 1){
                curr = area;
                rs.add(curr);
            }else {
                curr.getDistricts().add(area);
            }
        }

        return rs;

    }
}
