package com.sxtvs.open.api.user.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 *
 * </p>
 *
 * @author zyx
 * @since 2023-02-15
 */
@Getter
@Setter
public class User implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private String loginName;

    @JsonIgnore
    private String loginPassword;
    @JsonIgnore
    private String encodePassword;

    private LocalDateTime createTime;

    private LocalDateTime updateTime;
}
